bdi4jade.extension.planselection.utilitybased

## Class SoftgoalPreferences

- java.lang.Object
- - bdi4jade.core.MetadataElementImpl
  - - bdi4jade.belief.AbstractBelief<T>
    - - bdi4jade.belief.TransientBelief<java.util.Map<Softgoal,java.lang.Double>>
      - - bdi4jade.extension.planselection.utilitybased.SoftgoalPreferences

- All Implemented Interfaces:
    Belief<java.util.Map<Softgoal,java.lang.Double>>, MetadataElement, jade.content.Concept, jade.content.Term, java.io.Serializable

      public class SoftgoalPreferences
      extends TransientBelief<java.util.Map<Softgoal,java.lang.Double>>

  This is an agent transient belief (@see `TransientBelief`) that stores the preferences for softgoals.
  Author:
    ingrid
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME`

    - ### Fields inherited from class bdi4jade.belief.TransientBelief

      `value`

    - ### Fields inherited from class bdi4jade.core.MetadataElementImpl

      `metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftgoalPreferences()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getPreferenceForSoftgoal(Softgoal softgoal)` Returns the preference for a softgoal.
    `void` | `setPreferenceForSoftgoal(Softgoal softgoal, java.lang.Double preference)` Sets the preference for a softgoal.

    - ### Methods inherited from class bdi4jade.belief.TransientBelief

      `getValue, updateValue`

    - ### Methods inherited from class bdi4jade.belief.AbstractBelief

      `addBeliefBase, equals, getBeliefBases, getName, hashCode, notifyBeliefBases, removeBeliefBase, setName, setValue, toString`

    - ### Methods inherited from class bdi4jade.core.MetadataElementImpl

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.core.MetadataElement

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

  - ### Constructor Detail

    - #### SoftgoalPreferences

          public SoftgoalPreferences()

  - ### Method Detail

    - #### getPreferenceForSoftgoal

          public java.lang.Double getPreferenceForSoftgoal(Softgoal softgoal)

      Returns the preference for a softgoal.
      Parameters:
        `softgoal` - the softgoal
      Returns:
        the preference for the softgoal

    - #### setPreferenceForSoftgoal

          public void setPreferenceForSoftgoal(Softgoal softgoal,
                                      java.lang.Double preference)

      Sets the preference for a softgoal.
      Parameters:
        `softgoal` - the softgoal to which the preference is set.
        `preference` - the preference value.